.TH wxPalette 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxPalette \- See external documentation: wxPalette\&.
.SH DESCRIPTION
.LP
See external documentation: wxPalette <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpalette\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxPalette()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxPalette()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpalette\&.html#wxpalettewxpalette>\&.
.RE
.LP
.B
new(Red::binary(), Green::binary(), Blue::binary()) -> wxPalette()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpalette\&.html#wxpalettewxpalette>\&.
.RE
.LP
.B
create(This::wxPalette(), Red::binary(), Green::binary(), Blue::binary()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpalette\&.html#wxpalettecreate>\&.
.RE
.LP
.B
getColoursCount(This::wxPalette()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpalette\&.html#wxpalettegetcolourscount>\&.
.RE
.LP
.B
getPixel(This::wxPalette(), Red::integer(), Green::integer(), Blue::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpalette\&.html#wxpalettegetpixel>\&.
.RE
.LP
.B
getRGB(This::wxPalette(), Pixel::integer()) -> {bool(), Red::integer(), Green::integer(), Blue::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpalette\&.html#wxpalettegetrgb>\&.
.RE
.LP
.B
isOk(This::wxPalette()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpalette\&.html#wxpaletteisok>\&.
.RE
.LP
.B
destroy(This::wxPalette()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
